Magick++ 7.1.0

Public Member Functions | List of all members
Magick::ErrorDelegate Class Reference

`#include <Exception.h>`

Inheritance diagram for Magick::ErrorDelegate:
[legend]
Collaboration diagram for Magick::ErrorDelegate:
[legend]

## Public Member Functions
| ErrorDelegate (const std::string &what_)
| ErrorDelegate (const std::string &what_, Exception *nested_)
| ~ErrorDelegate () throw ()
Public Member Functions inherited from Magick::Error
| Error (const std::string &what_)
| Error (const std::string &what_, Exception *nested_)
| ~Error () throw ()
Public Member Functions inherited from Magick::Exception
| Exception (const std::string &what_)
| Exception (const std::string &what_, Exception *nested_)
| Exception (const Exception &original_)
virtual | ~Exception () throw ()
Exception & | operator= (const Exception &original_)
virtual const char * | what () const throw ()
const Exception * | nested () const throw ()
void | nested (Exception *nested_) throw ()

## Detailed Description

Definition at line 114 of file Exception.h.

## Constructor & Destructor Documentation

## ◆ ErrorDelegate() [1/2]

Magick::ErrorDelegate::ErrorDelegate | ( | const std::string & | what_ | ) |
| explicit

Definition at line 159 of file Exception.cpp.

## ◆ ErrorDelegate() [2/2]

Magick::ErrorDelegate::ErrorDelegate | ( | const std::string & | what_,
|  | Exception * | nested_
| ) |  |
| explicit

Definition at line 164 of file Exception.cpp.

## ◆ ~ErrorDelegate()

Magick::ErrorDelegate::~ErrorDelegate | ( |  | ) |
throw | ( |
| ) |  |

Definition at line 170 of file Exception.cpp.

The documentation for this class was generated from the following files:

- Exception.h
- Exception.cpp